package com.sw.mes.yb.accessory.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.outside.dto.SendEapSignalDto;
import com.sw.mes.yb.accessory.entity.EquipmentDeviceStatus;
import com.sw.mes.yb.accessory.vo.EapToMesDeviceStatusVo;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface EquipmentDeviceStatusService extends BaseService<EquipmentDeviceStatus> {
    void createDeviceStatus(EapToMesDeviceStatusVo dto);

    void accessoryLifeRecord(SendEapSignalDto sendEapSignalDto);

    EquipmentDeviceStatus findByDeviceNo(String deviceNo);
}
